Because large enterprises must often perform phased upgrades, View components are designed to be somewhat forward and backward compatible, at least during upgrades.

View Connection Server compatibility with View Agents is limited to interoperability during a View Connection Server upgrade. You must upgrade View Agents as soon as possible to match the version of the View Connection Server that manages them.

The following tables list the components of View and show whether they are compatible with other components whose version is different. For information about compatibility with vSphere, see the VMware Product Interoperability Matrix at http://www.vmware.com/resources/compatibility/sim/interop_matrix.php.

Table 1. Compatibility Matrix for VMware Horizon with View 6.0 and Horizon View 5.3.x Components

Connection Server 5.3.x

Security Server 5.3.x (PCoIP and RDP)

View Composer 5.3

View Agent 5.3.x

View Client (Windows) 5.x

Connection Server 6.0

Only during upgrade

Only if paired before upgrade

No

Only during upgrade

Yes

Security Server 6.0 (PCoIP and RDP)

No

N/A

No

Only during upgrade

Yes

View Composer 6.0

Only during upgrade

Only during upgrade

N/A

Only during upgrade

N/A

View Agent 6.0

Only during upgrade

No

No

N/A

Only during upgrade

Horizon Client 3.0

Yes

Yes

Yes

Yes

N/A

Table 2. Compatibility Matrix for VMware Horizon with View 6.0 and Horizon View 5.2.x Components

Connection Server 5.2.x

Security Server 5.2.x (PCoIP and RDP)

View Composer 5.2

View Agent 5.2.x

View Client (Windows) 5.x

Connection Server 6.0

Only during upgrade

Only if paired before upgrade

No

Only during upgrade

Yes

Security Server 6.0 (PCoIP and RDP)

No

N/A

No

Only during upgrade

Yes

View Composer 6.0

Only during upgrade

Only during upgrade

N/A

Only during upgrade

N/A

View Agent 6.0

Only during upgrade

No

No

N/A

Only during upgrade

Horizon Client 3.0

Yes

Yes

Yes

Yes

N/A

Table 3. Compatibility Matrix for VMware Horizon with View 6.0 and Horizon View 5.1.x Components

Connection Server 5.1.3

Security Server 5.1.3 (PCoIP and RDP)

View Composer 3.0

View Agent 5.1.3

View Client (Windows) 5.1.x

Connection Server 6.0

Only during upgrade

Only if paired before upgrade

No

Only during upgrade

Yes

Security Server 6.0 (PCoIP and RDP)

No

N/A

No

Only during upgrade

Yes

View Composer 6.0

Only during upgrade

Only during upgrade

N/A

Only during upgrade

N/A

View Agent 6.0

Only during upgrade

No

No

N/A

Only during upgrade

Horizon Client 3.0

Yes

Yes

Yes

Yes

N/A

Table 4. Compatibility Matrix for VMware Horizon with View 6.0 and Horizon View 5.0.1 Components

Connection Server 5.0.1

Security Server 5.0.1 (PCoIP and RDP)

View Composer 2.7

View Agent 5.0.1

View Client (Windows) 5.0.x

Connection Server 6.0

Only during upgrade

Only if paired before upgrade

No

Only during upgrade

Yes

Security Server 6.0 (PCoIP and RDP)

No

N/A

No

Only during upgrade

Yes

View Composer 6.0

Only during upgrade

Only during upgrade

N/A

Only during upgrade

N/A

View Agent 6.0

No

No

No

N/A

Only during upgrade

Horizon Client 3.0

5.0.1 Connection Server only

Yes

Yes

Yes

N/A

Although newer versions of View Client and Horizon Client can work with View Connection Server 5.0.0, the security enhancements and certificate checking that were introduced with View 5.1 are available only with View Connection Server 5.0.1 and later releases.

Caution:

During an upgrade, View does not support View Composer provisioning and maintenance operations. Operations such as provisioning and recomposing linked-clone desktops are not supported during the transitional period when any View servers are still running the earlier version. You can successfully perform these operations only when all instances of View Connection Server and View Composer have been upgraded to the latest version.

For details about which versions of View are compatible with which versions of vCenter Server and ESXi, see the VMware Product Interoperability Matrix at http://www.vmware.com/resources/compatibility/sim/interop_matrix.php.